# Adding an Ante Test to Ante Github

[Ante Community Github Repo](https://github.com/antefinance/ante-community-tests)

When writing an Ante Test, it's best to take advantage of the Ante community and get the community feedback as well as take advantage of the other developers there checking the code.

Start by forking the community repo to your own Github account by clicking the Fork button near the top right of the community repo page.

![](https://3623970277-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MaBhLPQtzmPqzNtEpO8%2Fuploads%2FqdeiGLvr4y3ZVXL7DEU5%2Fgithub_fork_20211129.png?alt=media\&token=dd3bfb39-fb6c-4f3e-b662-403587a5aa36)

Then take your Ante Test and add it to the appropriate protocol folder or create a new protocol folder if it doesn't already exist.

Once that's complete, open a Pull Request against the community repo and you'll get feedback regarding the test or have it incorporated into the community repo!

Once the Ante Test has been added into the community repo, your stats on the [Community Leaderboard](https://app.ante.finance/#/community-leaderboard) should be updated shortly afterwards!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ante.finance/ante/v05/for-devs/writing-an-ante-test/adding-an-ante-test-to-ante-github.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
